INTERFACE
SUBROUTINE SPEHOU3AD(PVORI,PDIVI,PHGTI,PFO,KVMO,KM)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NCMAX ,NXMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORI(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVI(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGTI(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(IN) :: PFO(6*(NXMAX+1-KM))
INTEGER(KIND=JPIM),INTENT(IN) :: KVMO
END SUBROUTINE SPEHOU3AD
END INTERFACE
